Resource Administration RESTCONF API

API Documentation

Download the Resource Administration RESTCONF API Postman Collection here. here

Authentication - Get Token

POSTInitial Authentication - Get Token

Request a token from the REST Gateway for the provided user

Example Request

                                                POST https://{{server}}/rest-gateway/rest/api/v1/auth/token HTTP/1.1
Content-Type: application/json

{
  "grant_type": "client_credentials"
}
                                            
                                                curl -X POST -H "Content-Type: application/json" -d '{
  "grant_type": "client_credentials"
}' "https://{{server}}/rest-gateway/rest/api/v1/auth/token"
                                            

Example Response

200 OK
json
{
    "access_token": "VEtOLVNBTXFhZDQ3MzE5ZjQtNWEzNC00NTZkLTk5YzQtZTg4NzUxZjQ0YjNl",
    "refresh_token": "UkVUS04tU0FNcWFlMTcyODRmNy0wZDIxLTRmYzEtOWUyMi1kYmQ0ZTA5MDNlOTY=",
    "token_type": "Bearer",
    "expires_in": 3600
}
Cache-Control private
Content-Encoding gzip
Content-Type application/json
Server 5620 SAM
Transfer-Encoding chunked
Vary Accept-Encoding

numeric-pool

POSTcreate

Example Request

                                                POST https://{{server}}/restconf/data/nsp-resource-pool:resource-pools HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json

{
    "nsp-resource-pool:numeric-resource-pools": [
        {
            "name": "vlan-id",
            "scope": "ottawa",
            "type": "nsp-resource-pool-utils:numerical",
            "description": "vlan-id pool",
            "numeric-spec": {
                "min-value": 100,
                "max-value": 200
            },
            "threshold-policy": null
        }
    ]
}
                                            
                                                curl -X POST -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" -d '{
    "nsp-resource-pool:numeric-resource-pools": [
        {
            "name": "vlan-id",
            "scope": "ottawa",
            "type": "nsp-resource-pool-utils:numerical",
            "description": "vlan-id pool",
            "numeric-spec": {
                "min-value": 100,
                "max-value": 200
            },
            "threshold-policy": null
        }
    ]
}' "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools"
                                            

Example Response

Date Sat, 13 Dec 2025 10:41:46 GMT
Content-Length 0
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
Location /restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa
Cache-Control no-cache

GETget

Example Request

                                                GET https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json
                                            
                                                curl -X GET -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa"
                                            

Example Response

200 OK
json
{
    "nsp-resource-pool:numeric-resource-pools": [
        {
            "@": {
                "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/numeric-resource-pools",
                "nsp-model:identifier": "/nsp-resource-pool:resource-pools/numeric-resource-pools[name='vlan-id'][scope='ottawa']"
            },
            "name": "vlan-id",
            "scope": "ottawa",
            "type": "nsp-resource-pool-utils:numerical",
            "threshold-policy": null,
            "alarm": null,
            "alarm-severity": null,
            "statistics": {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/numeric-resource-pools/statistics",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/numeric-resource-pools[name='vlan-id'][scope='ottawa']/statistics"
                },
                "capacity": "201",
                "usage": "11.94 %"
            },
            "numeric-spec": {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/numeric-resource-pools/numeric-spec",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/numeric-resource-pools[name='vlan-id'][scope='ottawa']/numeric-spec"
                },
                "min-value": 100,
                "max-value": 300
            }
        }
    ]
}
Date Sat, 13 Dec 2025 10:59:20 GMT
Content-Type application/yang-data+json
Transfer-Encoding chunked
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
total-count 1
start-index 0
end-index 0
Cache-Control no-cache

PUTresize

Example Request

                                                PUT https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json

{
    "nsp-resource-pool:numeric-resource-pools": [
        {
            "name": "vlan-id",
            "scope": "ottawa",
            "type": "nsp-resource-pool-utils:numerical",
            "description": "vlan-id pool",
            "numeric-spec": {
                "min-value": 100,
                "max-value": 300
            }
        }
    ]
}
                                            
                                                curl -X PUT -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" -d '{
    "nsp-resource-pool:numeric-resource-pools": [
        {
            "name": "vlan-id",
            "scope": "ottawa",
            "type": "nsp-resource-pool-utils:numerical",
            "description": "vlan-id pool",
            "numeric-spec": {
                "min-value": 100,
                "max-value": 300
            }
        }
    ]
}' "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa"
                                            

Example Response

Date Sat, 13 Dec 2025 10:42:01 GMT
Content-Type application/yang-data+json
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
Cache-Control no-cache, no-store, max-age=0, must-revalidate
Pragma no-cache
Expires 0

POSTreserve

Example Request

                                                POST https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa/reserve HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json

{
    "nsp-resource-pool:input": {
        "owner": "CUST1",
        "reference": "ref-1",
        "confirmed": false,
        "reserve-values": [
            100,
            101
        ]
    }
}
                                            
                                                curl -X POST -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" -d '{
    "nsp-resource-pool:input": {
        "owner": "CUST1",
        "reference": "ref-1",
        "confirmed": false,
        "reserve-values": [
            100,
            101
        ]
    }
}' "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa/reserve"
                                            

Example Response

200 OK
json
{
    "nsp-resource-pool:output": {
        "num-consumed-resources": [
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "300",
                "description": null,
                "value": "100",
                "confirmed": false,
                "registered-date": "2025-12-13T10:42:08.504Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "300",
                "description": null,
                "value": "101",
                "confirmed": false,
                "registered-date": "2025-12-13T10:42:08.511Z"
            }
        ]
    },
    "statusCode": "OK"
}
Date Sat, 13 Dec 2025 10:42:08 GMT
Content-Type application/yang-data+json
Transfer-Encoding chunked
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
Cache-Control no-cache, no-store, max-age=0, must-revalidate
Pragma no-cache
Expires 0

POSTobtain

Example Request

                                                POST https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa/obtain-value-from-pool HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json

{
    "nsp-resource-pool:input": {
        "total-number-of-resources": 24,
        "all-or-nothing": false,
        "owner": "CUST1",
        "reference": "ref-1",
        "confirmed": true
    }
}
                                            
                                                curl -X POST -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" -d '{
    "nsp-resource-pool:input": {
        "total-number-of-resources": 24,
        "all-or-nothing": false,
        "owner": "CUST1",
        "reference": "ref-1",
        "confirmed": true
    }
}' "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa/obtain-value-from-pool"
                                            

Example Response

200 OK
json
{
    "nsp-resource-pool:output": {
        "num-consumed-resources": [
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "102",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.398Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "103",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.400Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "104",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.401Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "105",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.403Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "106",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.404Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "107",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.405Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "108",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.406Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "109",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.407Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "110",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.409Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "111",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.410Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "112",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.412Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "113",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.413Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "114",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.414Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "115",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.415Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "116",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.416Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "117",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.417Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "118",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.418Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "119",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.419Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "120",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.420Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "121",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.421Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "122",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.422Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "123",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.423Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "0",
                "description": null,
                "value": "124",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.424Z"
            },
            {
                "owner": "CUST1",
                "reference": "ref-1",
                "next-value": "300",
                "description": null,
                "value": "125",
                "confirmed": true,
                "registered-date": "2025-12-13T10:42:14.426Z"
            }
        ]
    },
    "statusCode": "OK"
}
Date Sat, 13 Dec 2025 10:42:14 GMT
Content-Type application/yang-data+json
Transfer-Encoding chunked
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
Cache-Control no-cache, no-store, max-age=0, must-revalidate
Pragma no-cache
Expires 0

POSTconfirm

Example Request

                                                POST https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa/confirm-reservation HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json

{
    "nsp-resource-pool:input": {
        "owner": "CUST1",
        "reserve-values": [
            101
        ]
    }
}
                                            
                                                curl -X POST -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" -d '{
    "nsp-resource-pool:input": {
        "owner": "CUST1",
        "reserve-values": [
            101
        ]
    }
}' "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa/confirm-reservation"
                                            

Example Response

200 OK
json
{
    "nsp-resource-pool:output": {},
    "statusCode": "OK"
}
Date Sat, 13 Dec 2025 10:42:19 GMT
Content-Type application/yang-data+json
Transfer-Encoding chunked
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
Cache-Control no-cache, no-store, max-age=0, must-revalidate
Pragma no-cache
Expires 0

POSTrelease-values

Example Request

                                                POST https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa/release-values HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json

{
    "nsp-resource-pool:input": {
        "values": [101]
    }
}
                                            
                                                curl -X POST -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" -d '{
    "nsp-resource-pool:input": {
        "values": [101]
    }
}' "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa/release-values"
                                            

Example Response

200 OK
json
{
    "nsp-resource-pool:output": {},
    "statusCode": "OK"
}
Date Sat, 13 Dec 2025 10:42:23 GMT
Content-Type application/yang-data+json
Transfer-Encoding chunked
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
Cache-Control no-cache, no-store, max-age=0, must-revalidate
Pragma no-cache
Expires 0

POSTrelease-by-owner

Example Request

                                                POST https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa/release-by-owner HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json

{
    "nsp-resource-pool:input": {
        "owner": "CUST1"
    }
}
                                            
                                                curl -X POST -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" -d '{
    "nsp-resource-pool:input": {
        "owner": "CUST1"
    }
}' "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa/release-by-owner"
                                            

Example Response

200 OK
json
{
    "nsp-resource-pool:output": {},
    "statusCode": "OK"
}
Date Sat, 13 Dec 2025 10:42:40 GMT
Content-Type application/yang-data+json
Transfer-Encoding chunked
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
Cache-Control no-cache, no-store, max-age=0, must-revalidate
Pragma no-cache
Expires 0

POSTrelease-by-reference

Example Request

                                                POST https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa/release-by-ref HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json

{
    "nsp-resource-pool:input": {
        "reference": "ref-1"
    }
}
                                            
                                                curl -X POST -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" -d '{
    "nsp-resource-pool:input": {
        "reference": "ref-1"
    }
}' "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa/release-by-ref"
                                            

Example Response

200 OK
json
{
    "nsp-resource-pool:output": {},
    "statusCode": "OK"
}
Date Sat, 13 Dec 2025 10:42:59 GMT
Content-Type application/yang-data+json
Transfer-Encoding chunked
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
Cache-Control no-cache, no-store, max-age=0, must-revalidate
Pragma no-cache
Expires 0

DELETEdelete

Example Request

                                                DELETE https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json
                                            
                                                curl -X DELETE -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/numeric-resource-pools=vlan-id,ottawa"
                                            

Example Response

Date Sat, 13 Dec 2025 10:43:07 GMT
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
Cache-Control no-cache, no-store, max-age=0, must-revalidate
Pragma no-cache
Expires 0

rdrt-pool

POSTcreate

Example Request

                                                POST https://{{server}}/restconf/data/nsp-resource-pool:resource-pools HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json

{
    "nsp-resource-pool:rd-rt-resource-pools": [
        {
            "name": "test",
            "scope": "ottawa",
            "type": "nsp-resource-pool-utils:rd_rt",
            "description": "rdrt test pool",
            "rd-rt-pool-spec": {
                "min-value": 100,
                "max-value": 199
            },
            "threshold-policy": null
        }
    ]
}
                                            
                                                curl -X POST -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" -d '{
    "nsp-resource-pool:rd-rt-resource-pools": [
        {
            "name": "test",
            "scope": "ottawa",
            "type": "nsp-resource-pool-utils:rd_rt",
            "description": "rdrt test pool",
            "rd-rt-pool-spec": {
                "min-value": 100,
                "max-value": 199
            },
            "threshold-policy": null
        }
    ]
}' "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools"
                                            

Example Response

Date Sat, 13 Dec 2025 10:44:39 GMT
Content-Length 0
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
Location /restconf/data/nsp-resource-pool:resource-pools/rd-rt-resource-pools=test,ottawa
Cache-Control no-cache

GETget pool

Example Request

                                                GET https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/rd-rt-resource-pools=test,ottawa HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json
                                            
                                                curl -X GET -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/rd-rt-resource-pools=test,ottawa"
                                            

Example Response

200 OK
json
{
    "nsp-resource-pool:rd-rt-resource-pools": [
        {
            "@": {
                "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools",
                "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']"
            },
            "name": "test",
            "scope": "ottawa",
            "type": "nsp-resource-pool-utils:rd_rt",
            "threshold-policy": null,
            "alarm": null,
            "alarm-severity": null,
            "rd-rt-pool-spec": {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/rd-rt-pool-spec",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/rd-rt-pool-spec"
                },
                "min-value": 100,
                "max-value": 299
            }
        }
    ]
}
Date Sat, 13 Dec 2025 10:59:42 GMT
Content-Type application/yang-data+json
Transfer-Encoding chunked
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
total-count 1
start-index 0
end-index 0
Cache-Control no-cache

PUTresize

Example Request

                                                PUT https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/rd-rt-resource-pools=test,ottawa HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json

{
    "nsp-resource-pool:rd-rt-resource-pools": [
        {
            "name": "test",
            "scope": "ottawa",
            "type": "nsp-resource-pool-utils:rd_rt",
            "description": "rdrt test pool",
            "rd-rt-pool-spec": {
                "min-value": 100,
                "max-value": 299
            }
        }
    ]
}
                                            
                                                curl -X PUT -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" -d '{
    "nsp-resource-pool:rd-rt-resource-pools": [
        {
            "name": "test",
            "scope": "ottawa",
            "type": "nsp-resource-pool-utils:rd_rt",
            "description": "rdrt test pool",
            "rd-rt-pool-spec": {
                "min-value": 100,
                "max-value": 299
            }
        }
    ]
}' "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/rd-rt-resource-pools=test,ottawa"
                                            

Example Response

Date Sat, 13 Dec 2025 10:44:59 GMT
Content-Type application/yang-data+json
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
Cache-Control no-cache, no-store, max-age=0, must-revalidate
Pragma no-cache
Expires 0

POSTobtain

Example Request

                                                POST https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/rd-rt-resource-pools=test,ottawa/obtain-value-from-pool HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json

{
    "nsp-resource-pool:input": {
        "total-number-of-resources": 70,
        "all-or-nothing": false,
        "owner": "Cust1",
        "base-string": "3.3.3.3",
        "reference": "ref-1"
    }
}
                                            
                                                curl -X POST -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" -d '{
    "nsp-resource-pool:input": {
        "total-number-of-resources": 70,
        "all-or-nothing": false,
        "owner": "Cust1",
        "base-string": "3.3.3.3",
        "reference": "ref-1"
    }
}' "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/rd-rt-resource-pools=test,ottawa/obtain-value-from-pool"
                                            

Example Response

200 OK
json
{
    "nsp-resource-pool:output": {
        "consumed-resources": [
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:100']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:100",
                "registered-date": "2025-12-13T10:45:09.510Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:101']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:101",
                "registered-date": "2025-12-13T10:45:09.515Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:102']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:102",
                "registered-date": "2025-12-13T10:45:09.517Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:103']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:103",
                "registered-date": "2025-12-13T10:45:09.518Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:104']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:104",
                "registered-date": "2025-12-13T10:45:09.520Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:105']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:105",
                "registered-date": "2025-12-13T10:45:09.521Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:106']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:106",
                "registered-date": "2025-12-13T10:45:09.522Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:107']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:107",
                "registered-date": "2025-12-13T10:45:09.523Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:108']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:108",
                "registered-date": "2025-12-13T10:45:09.525Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:109']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:109",
                "registered-date": "2025-12-13T10:45:09.526Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:110']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:110",
                "registered-date": "2025-12-13T10:45:09.527Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:111']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:111",
                "registered-date": "2025-12-13T10:45:09.528Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:112']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:112",
                "registered-date": "2025-12-13T10:45:09.529Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:113']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:113",
                "registered-date": "2025-12-13T10:45:09.530Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:114']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:114",
                "registered-date": "2025-12-13T10:45:09.531Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:115']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:115",
                "registered-date": "2025-12-13T10:45:09.532Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:116']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:116",
                "registered-date": "2025-12-13T10:45:09.532Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:117']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:117",
                "registered-date": "2025-12-13T10:45:09.533Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:118']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:118",
                "registered-date": "2025-12-13T10:45:09.534Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:119']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:119",
                "registered-date": "2025-12-13T10:45:09.535Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:120']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:120",
                "registered-date": "2025-12-13T10:45:09.536Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:121']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:121",
                "registered-date": "2025-12-13T10:45:09.537Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:122']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:122",
                "registered-date": "2025-12-13T10:45:09.538Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:123']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:123",
                "registered-date": "2025-12-13T10:45:09.539Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:124']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:124",
                "registered-date": "2025-12-13T10:45:09.540Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:125']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:125",
                "registered-date": "2025-12-13T10:45:09.540Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:126']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:126",
                "registered-date": "2025-12-13T10:45:09.541Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:127']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:127",
                "registered-date": "2025-12-13T10:45:09.542Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:128']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:128",
                "registered-date": "2025-12-13T10:45:09.543Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:129']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:129",
                "registered-date": "2025-12-13T10:45:09.544Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:130']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:130",
                "registered-date": "2025-12-13T10:45:09.545Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:131']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:131",
                "registered-date": "2025-12-13T10:45:09.546Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:132']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:132",
                "registered-date": "2025-12-13T10:45:09.547Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:133']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:133",
                "registered-date": "2025-12-13T10:45:09.547Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:134']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:134",
                "registered-date": "2025-12-13T10:45:09.549Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:135']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:135",
                "registered-date": "2025-12-13T10:45:09.550Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:136']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:136",
                "registered-date": "2025-12-13T10:45:09.551Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:137']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:137",
                "registered-date": "2025-12-13T10:45:09.551Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:138']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:138",
                "registered-date": "2025-12-13T10:45:09.552Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:139']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:139",
                "registered-date": "2025-12-13T10:45:09.553Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:140']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:140",
                "registered-date": "2025-12-13T10:45:09.554Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:141']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:141",
                "registered-date": "2025-12-13T10:45:09.555Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:142']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:142",
                "registered-date": "2025-12-13T10:45:09.556Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:143']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:143",
                "registered-date": "2025-12-13T10:45:09.557Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:144']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:144",
                "registered-date": "2025-12-13T10:45:09.558Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:145']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:145",
                "registered-date": "2025-12-13T10:45:09.559Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:146']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:146",
                "registered-date": "2025-12-13T10:45:09.560Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:147']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:147",
                "registered-date": "2025-12-13T10:45:09.561Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:148']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:148",
                "registered-date": "2025-12-13T10:45:09.562Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:149']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:149",
                "registered-date": "2025-12-13T10:45:09.563Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:150']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:150",
                "registered-date": "2025-12-13T10:45:09.564Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:151']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:151",
                "registered-date": "2025-12-13T10:45:09.565Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:152']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:152",
                "registered-date": "2025-12-13T10:45:09.566Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:153']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:153",
                "registered-date": "2025-12-13T10:45:09.567Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:154']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:154",
                "registered-date": "2025-12-13T10:45:09.568Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:155']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:155",
                "registered-date": "2025-12-13T10:45:09.569Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:156']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:156",
                "registered-date": "2025-12-13T10:45:09.570Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:157']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:157",
                "registered-date": "2025-12-13T10:45:09.571Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:158']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:158",
                "registered-date": "2025-12-13T10:45:09.572Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:159']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:159",
                "registered-date": "2025-12-13T10:45:09.574Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:160']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:160",
                "registered-date": "2025-12-13T10:45:09.575Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:161']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:161",
                "registered-date": "2025-12-13T10:45:09.576Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:162']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:162",
                "registered-date": "2025-12-13T10:45:09.577Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:163']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:163",
                "registered-date": "2025-12-13T10:45:09.578Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:164']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:164",
                "registered-date": "2025-12-13T10:45:09.579Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:165']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:165",
                "registered-date": "2025-12-13T10:45:09.580Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:166']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:166",
                "registered-date": "2025-12-13T10:45:09.581Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:167']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:167",
                "registered-date": "2025-12-13T10:45:09.582Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:168']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:168",
                "registered-date": "2025-12-13T10:45:09.583Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            },
            {
                "@": {
                    "nsp-model:schema-nodeid": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools/consumed-resources",
                    "nsp-model:identifier": "/nsp-resource-pool:resource-pools/rd-rt-resource-pools[name='test'][scope='ottawa']/consumed-resources[value='3.3.3.3:169']",
                    "nsp-model:creation-time": "2025-12-13T10:45:09.503Z",
                    "nsp-model:last-modified-time": "2025-12-13T10:45:09.503Z"
                },
                "value": "3.3.3.3:169",
                "registered-date": "2025-12-13T10:45:09.584Z",
                "reference": "ref-1",
                "owner": "Cust1",
                "description": null,
                "confirmed": true
            }
        ]
    },
    "statusCode": "OK"
}
Date Sat, 13 Dec 2025 10:45:09 GMT
Content-Type application/yang-data+json
Transfer-Encoding chunked
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
Cache-Control no-cache, no-store, max-age=0, must-revalidate
Pragma no-cache
Expires 0

POSTrelease-values

Example Request

                                                POST https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/rd-rt-resource-pools=test,ottawa/release-values HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json

{
    "nsp-resource-pool:input": {
        "values": ["3.3.3.3:100"]
    }
}
                                            
                                                curl -X POST -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" -d '{
    "nsp-resource-pool:input": {
        "values": ["3.3.3.3:100"]
    }
}' "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/rd-rt-resource-pools=test,ottawa/release-values"
                                            

Example Response

200 OK
json
{
    "nsp-resource-pool:output": {},
    "statusCode": "OK"
}
Date Sat, 13 Dec 2025 10:45:19 GMT
Content-Type application/yang-data+json
Transfer-Encoding chunked
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
Cache-Control no-cache, no-store, max-age=0, must-revalidate
Pragma no-cache
Expires 0

POSTrelease-by-owner

Example Request

                                                POST https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/rd-rt-resource-pools=test,ottawa/release-by-owner HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json

{
    "nsp-resource-pool:input": {
        "owner": "Cust1"
    }
}
                                            
                                                curl -X POST -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" -d '{
    "nsp-resource-pool:input": {
        "owner": "Cust1"
    }
}' "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/rd-rt-resource-pools=test,ottawa/release-by-owner"
                                            

Example Response

200 OK
json
{
    "nsp-resource-pool:output": {},
    "statusCode": "OK"
}
Date Sat, 13 Dec 2025 10:45:33 GMT
Content-Type application/yang-data+json
Transfer-Encoding chunked
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
Cache-Control no-cache, no-store, max-age=0, must-revalidate
Pragma no-cache
Expires 0

POSTrelease-by-ref

Example Request

                                                POST https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/rd-rt-resource-pools=test,ottawa/release-by-ref HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json

{
    "nsp-resource-pool:input": {
        "reference": "ref-1"
    }
}
                                            
                                                curl -X POST -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" -d '{
    "nsp-resource-pool:input": {
        "reference": "ref-1"
    }
}' "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/rd-rt-resource-pools=test,ottawa/release-by-ref"
                                            

Example Response

200 OK
json
{
    "nsp-resource-pool:output": {},
    "statusCode": "OK"
}
Date Sat, 13 Dec 2025 10:45:53 GMT
Content-Type application/yang-data+json
Transfer-Encoding chunked
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
Cache-Control no-cache, no-store, max-age=0, must-revalidate
Pragma no-cache
Expires 0

DELETEdelete

Example Request

                                                DELETE https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/rd-rt-resource-pools=test,ottawa HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json
                                            
                                                curl -X DELETE -H "Authorization: Bearer {{token}}" -H "Content-Type: application/yang-data+json" -H "Accept: application/yang-data+json" "https://{{server}}/restconf/data/nsp-resource-pool:resource-pools/rd-rt-resource-pools=test,ottawa"
                                            

Example Response

Date Sat, 13 Dec 2025 10:46:06 GMT
Connection keep-alive
Strict-Transport-Security max-age=0
X-Frame-Options SAMEORIGIN
X-Content-Type-Options nosniff
X-XSS-Protection 1; mode=block
Content-Security-Policy frame-src * https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; frame-ancestors 'self' https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; connect-src 'self' wss://100.127.196.121:* wss://100.127.202.2:* wss://192.168.97.118:* https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:*; default-src 'self' data: https://100.127.196.121:* https://192.168.97.118:* https://100.127.202.2:* 'unsafe-inline' ; img-src * data:;
Cache-Control no-cache, no-store, max-age=0, must-revalidate
Pragma no-cache
Expires 0

IP-Pools

Ip-V4

POSTcreate IpPool-v4

Example Request

                                                POST https://{{server}}/restconf/data/nsp-resource-pool:resource-pools HTTP/1.1
Authorization: Bearer {{token}}
Content-Type: application/yang-data+json
Accept: application/yang-data+json

{
    "nsp-resource-pool:ip-resource-pools": {
        "name": "ip-1",
        "scope": "net-1",
        "type": "nsp-resource-pool-utils:ip-address-prefix",
        "description": "this is a Subnet IP pool",
        "ip-pool-spec": {
            "ip-masks": [
                {
                    "ip-mask": "192.168.0.0/16",
                    "purposes": [
                        "testing",
                        "pool B"
                    ]
                },
                {
                    "ip-mask": "10.0.0.0/8",
                    "purposes": [
                        "testing",
[...]
